<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.sku.SsdProductTypeMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.sku.SsdProductType">
            <id column="ssd_product_type_id" property="ssdProductTypeId"/>
            <result column="ssd_product_type_name" property="ssdProductTypeName"/>
            <result column="ssd_product_type_sort" property="ssdProductTypeSort"/>
            <result column="sub_product_count" property="subProductCount"/>
            <result column="remark" property="remark"/>
            <result column="status" property="status"/>
            <result column="created_by" property="createdBy"/>
            <result column="created_time" property="createdTime"/>
            <result column="updated_by" property="updatedBy"/>
            <result column="updated_time" property="updatedTime"/>

        </resultMap>

    <!--查询所有产品类型-->
    <select id="queryProductTypeListAll" resultMap="BaseResultMap">
        SELECT *
        FROM ssd_product_type
        ORDER BY ssd_product_type_sort ASC, ssd_product_type_id DESC
    </select>

</mapper>
